ATMEL: S_usb_device_descriptor Struct Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# S_usb_device_descriptor Struct Reference

Usb Device Descriptor. More...

`#include <usb_descriptors.h>`

## Data Fields

U8 | bLength
| Size of this descriptor in bytes.
U8 | bDescriptorType
| DEVICE descriptor type.
U16 | bscUSB
| Binay Coded Decimal Spec. release.
U8 | bDeviceClass
| Class code assigned by the USB.
U8 | bDeviceSubClass
| Sub-class code assigned by the USB.
U8 | bDeviceProtocol
| Protocol code assigned by the USB.
U8 | bMaxPacketSize0
| Max packet size for EP0.
U16 | idVendor
| Vendor ID. ATMEL = 0x03EB.
U16 | idProduct
| Product ID assigned by the manufacturer.
U16 | bcdDevice
| Device release number.
U8 | iManufacturer
| Index of manu. string descriptor.
U8 | iProduct
| Index of prod. string descriptor.
U8 | iSerialNumber
| Index of S.N. string descriptor.
U8 | bNumConfigurations
| Number of possible configurations.

## Detailed Description

Usb Device Descriptor.

Definition at line 235 of file usb_descriptors.h.

## Field Documentation

U8 S_usb_device_descriptor::bLength

Size of this descriptor in bytes.

Definition at line 236 of file usb_descriptors.h.

U8 S_usb_device_descriptor::bDescriptorType

DEVICE descriptor type.

Definition at line 237 of file usb_descriptors.h.

U16 S_usb_device_descriptor::bscUSB

Binay Coded Decimal Spec. release.

Definition at line 238 of file usb_descriptors.h.

U8 S_usb_device_descriptor::bDeviceClass

Class code assigned by the USB.

Definition at line 239 of file usb_descriptors.h.

U8 S_usb_device_descriptor::bDeviceSubClass

Sub-class code assigned by the USB.

Definition at line 240 of file usb_descriptors.h.

U8 S_usb_device_descriptor::bDeviceProtocol

Protocol code assigned by the USB.

Definition at line 241 of file usb_descriptors.h.

U8 S_usb_device_descriptor::bMaxPacketSize0

Max packet size for EP0.

Definition at line 242 of file usb_descriptors.h.

U16 S_usb_device_descriptor::idVendor

Vendor ID. ATMEL = 0x03EB.

Definition at line 243 of file usb_descriptors.h.

U16 S_usb_device_descriptor::idProduct

Product ID assigned by the manufacturer.

Definition at line 244 of file usb_descriptors.h.

U16 S_usb_device_descriptor::bcdDevice

Device release number.

Definition at line 245 of file usb_descriptors.h.

U8 S_usb_device_descriptor::iManufacturer

Index of manu. string descriptor.

Definition at line 246 of file usb_descriptors.h.

U8 S_usb_device_descriptor::iProduct

Index of prod. string descriptor.

Definition at line 247 of file usb_descriptors.h.

U8 S_usb_device_descriptor::iSerialNumber

Index of S.N. string descriptor.

Definition at line 248 of file usb_descriptors.h.

U8 S_usb_device_descriptor::bNumConfigurations

Number of possible configurations.

Definition at line 249 of file usb_descriptors.h.

The documentation for this struct was generated from the following file:

- usb_descriptors.h